## org.jfree.report.modules.factories.data.base
Class DataFactoryReadHandlerFactory

    java.lang.Object
      org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
          org.jfree.report.modules.factories.data.base.DataFactoryReadHandlerFactory

    public class DataFactoryReadHandlerFactory

extends org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory

Creation-Date: 27.11.2006, 11:48:02

Author:
  Thomas Morgner

Constructor Summary
`DataFactoryReadHandlerFactory()`

Method Summary
`static DataFactoryReadHandlerFactory` `getInstance()`
`protected java.lang.Class` `getTargetClass()`

Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory
`configure, getHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataFactoryReadHandlerFactory

    public DataFactoryReadHandlerFactory()

Method Detail

### getTargetClass

    protected java.lang.Class getTargetClass()

  Specified by:
    `getTargetClass` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractReadHandlerFactory`

### getInstance

    public static DataFactoryReadHandlerFactory getInstance()